# PSF-LoginServer - master - net.psforever.packet.control.ControlSync
PSF - LoginServer - master - net.psforever.packet.control.ControlSync
Keywords: PSF LoginServer master net.psforever.packet.control.ControlSync

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package control
  Definition Classes
    packet
- ClientStart
- ConnectionClose
- ControlSync
- ControlSyncResp
- HandleGamePacket
- MultiPacket
- MultiPacketEx
- RelatedA
- RelatedB
- ServerStart
- SlottedMetaPacket
- TeardownConnection
- Unknown30

c

net.psforever.packet.control

# ControlSync 

###
Companion object ControlSync

#### final case class ControlSync(timeDiff: Int, unk: Long, field1: Long, field2: Long, field3: Long, field4: Long, field64A: Long, field64B: Long) extends PlanetSideControlPacket with Product with Serializable

Dispatched by the client periodically (approximately once every ten seconds).

timeDiff

  the exact number of milliseconds since the last `ControlSync` packet

unk

  na

field1

  na

field2

  na

field3

  na

field4

  na

field64A

  na; increments by 41 per packet

field64B

  na; increments by 21 per packet

Source
  ControlSync.scala

Linear Supertypes
Product, Equals, PlanetSideControlPacket, PlanetSidePacket, Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ControlSync
2. Product
3. Equals
4. PlanetSideControlPacket
5. PlanetSidePacket
6. Serializable
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ControlSync(timeDiff: Int, unk: Long, field1: Long, field2: Long, field3: Long, field4: Long, field64A: Long, field64B: Long)

   timeDiff

     the exact number of milliseconds since the last `ControlSync` packet

   unk

     na

   field1

     na

   field2

     na

   field3

     na

   field4

     na

   field64A

     na; increments by 41 per packet

   field64B

     na; increments by 21 per packet

### Type Members

1.  type Packet = ControlSync

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  def encode: Attempt[BitVector]
   Definition Classes
     ControlSync → PlanetSidePacket
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  val field1: Long
9.  val field2: Long
10.  val field3: Long
11.  val field4: Long
12.  val field64A: Long
13.  val field64B: Long
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  def opcode: ControlPacketOpcode.Value
    Definition Classes
      ControlSync → PlanetSideControlPacket → PlanetSidePacket
21.  def productElementNames: Iterator[String]
    Definition Classes
      Product
22.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
23.  val timeDiff: Int
24.  val unk: Long
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Product

### Inherited from Equals

### Inherited from PlanetSideControlPacket

### Inherited from PlanetSidePacket

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped